For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceModelObjects

Get

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.objects.get("landscapeId", "versionId", "modelObjectId", {});
8}
9main();
1{
2 "modelObject": {
3 "childDiagramIds": [
4 "string"
5 ],
6 "childIds": [
7 "string"
8 ],
9 "commit": 1.1,
10 "createdAt": "2024-01-15T09:30:00Z",
11 "createdBy": "user",
12 "createdById": "string",
13 "diagrams": {},
14 "domainId": "string",
15 "external": true,
16 "flows": {},
17 "groupIds": [
18 "string"
19 ],
20 "handleId": "string",
21 "icon": {
22 "catalogTechnologyId": "string",
23 "name": "string",
24 "urlDark": [
25 "/organizations/{organizationId}/dark/{catalogTechnologyId}.png",
26 "/dark/{catalogTechnologyId}.png"
27 ],
28 "urlLight": [
29 "/organizations/{organizationId}/light/{catalogTechnologyId}.png",
30 "/light/{catalogTechnologyId}.png"
31 ],
32 "url": "string"
33 },
34 "id": "string",
35 "labels": {},
36 "landscapeId": "string",
37 "linked": true,
38 "links": {},
39 "name": "string",
40 "parentId": "string",
41 "parentIds": [
42 "string"
43 ],
44 "status": "deprecated",
45 "tagIds": [
46 "string"
47 ],
48 "teamIds": [
49 "string"
50 ],
51 "teamOnlyEditing": true,
52 "technologyIds": [
53 "string"
54 ],
55 "type": "actor",
56 "updatedAt": "2024-01-15T09:30:00Z",
57 "updatedBy": "user",
58 "updatedById": "string",
59 "version": 1.1,
60 "versionId": "string",
61 "caption": "string",
62 "deletedAt": "2024-01-15T09:30:00Z",
63 "deletedBy": "user",
64 "deletedById": "string",
65 "description": "string",
66 "domain": {
67 "id": "string",
68 "name": "string"
69 },
70 "latestEntityId": "string",
71 "tags": {},
72 "technologies": {}
73 }
74}
Was this page helpful?
Previous

Upsert

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelObjectIdstringRequired

Query parameters

expandlist of enumsOptional
Allowed values:

Response

OK
modelObjectobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error